#
# spec file for package perl-Test-mysqld
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-mysqld
Version:        1.0012
Release:        1.1
%define cpan_name Test-mysqld
Summary:        Mysqld Runner for Tests
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-mysqld/
Source0:        https://cpan.metacpan.org/authors/id/S/SO/SONGMU/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Accessor::Lite)
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(DBI)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Test::SharedFork)
Requires:       perl(Class::Accessor::Lite)
Requires:       perl(DBD::mysql)
Requires:       perl(DBI)
Requires:       perl(File::Copy::Recursive)
%{perl_requires}

%description
'Test::mysqld' automatically setups a mysqld instance in a temporary
directory, and destroys it when the perl script exits.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md
%license LICENSE

%changelog
* Tue Jul 24 2018 coolo@suse.com
- updated to 1.0012
  see /usr/share/doc/packages/perl-Test-mysqld/Changes
  1.0012 2018-07-23T11:25:42Z
  - support `copy_data_from` on MySQL 8
* Tue Jul 17 2018 coolo@suse.com
- updated to 1.0011
  see /usr/share/doc/packages/perl-Test-mysqld/Changes
  1.0011 2018-07-13T09:05:49Z
  - `DROP DATABASE` is not needed on setup even if MySQL 8
  - [refactoring] apply --ignore-db-dir option when --initialize
* Wed Jul 11 2018 coolo@suse.com
- updated to 1.0010
  see /usr/share/doc/packages/perl-Test-mysqld/Changes
  1.0010 2018-07-10T08:46:20Z
  - for MySQL 8, always `DROP DATABASE IF EXISTS test` explicitly on setup (Songmu)
  - use Cwd::abs_path instead of using File::Spec and readlink (Songmu)
  - Fix basedir detection on mac (AngeldsWang)
* Thu May 17 2018 coolo@suse.com
- updated to 1.0000
  see /usr/share/doc/packages/perl-Test-mysqld/Changes
  1.0000 2018-05-16T15:21:49Z
  - This be 1.0!
  - Fix deps
  0.22 2018-05-16T15:05:22Z
  - Fix basedir detection on Amazon Linux (fujiwara)
* Fri Apr 14 2017 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-Test-mysqld/Changes
* Wed Dec 21 2016 coolo@suse.com
- updated to 0.20
  see /usr/share/doc/packages/perl-Test-mysqld/Changes
  0.20 2016-12-20T07:30:45Z
  - fix dist name
  0.18 2016-12-20T06:28:12Z
  - add impl of Test::mysqld::Multi (shogo82148)
  - support MySQL 5.7.6 or later (karupanerura ywatase)
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.17
  see /usr/share/doc/packages/perl-Test-mysqld/Changes
  0.17
  - introduce "copy_data_from", to start-up MySQL with prefilled tables
  - add "read_log" function that returns the contents of mysqld log
  0.16
  - fix compatibility issue when trying to use mysqld of homebrew (songmu)
  0.15
  - only issue the "already running" error when we ask to start the database and not all the time.  Solves a bug when you try to connect to an already running test mysql database.  (jjnapiork)
  0.14
  - added "sbin" to mysql subdirs (masaki)
  - set tmpdir (lecstor)
* Sun Sep 18 2011 coolo@suse.com
- initial package 0.13
  * created by cpanspec 1.78.05
